package test.org.seasar.framework.aop.javassist;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author koichik
 */
public class AopJavassistAllTests {
    public static void main(String[] args) {
        junit.textui.TestRunner.run(AopJavassistAllTests.class);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for test.org.seasar.framework.aop.javassist");
        //$JUnit-BEGIN$
        suite.addTest(new TestSuite(AspectWeaverTest.class));
        suite.addTest(new TestSuite(AbstractGeneratorTest.class));
        suite.addTest(new TestSuite(EnhancedClassGeneratorTest.class));
        suite.addTest(new TestSuite(MethodInvocationClassGeneratorTest.class));
        suite.addTest(new TestSuite(TryBlockSupportTest.class));
        //$JUnit-END$
        return suite;
    }
}